import java.awt.*;
import stiftUndCo.*;
/**
 * Write a description of class Haus here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Haus
{
	// instance variables - replace the example below with your own
	private Bildschirm bildschirm;
	private Dreieck dach;
	private Rechteck wand;
	private Quadrat fenster1;
	private Quadrat fenster2;
	private Kreis reifen1;
	private Kreis reifen2;
	private Kreis sonne;

	/**
	 * Constructor for objects of class Haus
	 */
	public Haus()
	{
		
		bildschirm = new Bildschirm();
		bildschirm.setzeHintergrundmodus(true);
		wand = new Rechteck(100,200,200,150);
		wand.setzeFuellFarbe(Color.red);
		 fenster1 = new Quadrat(120,170,15);
	    fenster1.setzeFuellFarbe(Color.yellow);
	     fenster2 = new Quadrat(160,170,15);
	    fenster2.setzeFuellFarbe(Color.yellow);
	    dach = new Dreieck(100,150,200,150,150,120);
	    dach.setzeFuellFarbe(Color.blue);
	    reifen1 = new Kreis(125,215,15);
	    reifen1.setzeFuellFarbe(Color.black);
	      reifen2 = new Kreis(175,215,15);
	    reifen2.setzeFuellFarbe(Color.black);
	     sonne = new Kreis(300,50,30);
	    sonne.setzeFuellFarbe(Color.yellow);
	}


	
	/**
	 * An example of a method - replace this comment with your own
	 * 
	 * @param  y   a sample parameter for a method
	 * @return     the sum of x and y 
	 */
	public void zeichne()
	{
		
	    
	
	   
	    wand.zeige();
	    
	   
	    fenster1.zeige();

	   
	    fenster2.zeige();
	    
	    
	    dach.zeige();
	    
	   
	    sonne.zeige();
	    bildschirm.aktualisiere();
	    
	}
	
	public void baueRaeder()
	{
	    reifen1.zeige();
	    reifen2.zeige();
	}   
	
	
	public void sonnenUntergang()
	{     
	     while (sonne.getY()-sonne.getRad() < bildschirm.hoehe()) 
	    
	     {
	         sonne.verschiebe(0,1);
	         bildschirm.aktualisiere();
	         Hilfe.warte(100);
	     }
	}
	
	public void sonneSchrumpft()
	{
	    while (sonne.getRad() > 0) 
	    {
	      sonne.vergroessern(-1);
	      bildschirm.aktualisiere();
	      Hilfe.warte(100);
	    } 
	 }  
	 
	 public void fahre(int runde)
	 {
	 
	   int zaehler = 1;
	   while (zaehler <= runde)
	   { zaehler++;
	     while (dach.getX2()<bildschirm.breite())
	     {
	       dach.verschiebe(1,0);
	       wand.verschiebe(1,0);
	       fenster1.verschiebe(1,0);
	       fenster2.verschiebe(1,0);
	       reifen1.verschiebe(1,0);
	       reifen2.verschiebe(1,0);
	       Hilfe.warte(20);
	       bildschirm.aktualisiere();
	    
	     }   
	   
	     while (dach.getX1()>0)
	     {
	       dach.verschiebe(-1,0);
	       wand.verschiebe(-1,0);
	       fenster1.verschiebe(-1,0);
	       fenster2.verschiebe(-1,0);
	       reifen1.verschiebe(-1,0);
	       reifen2.verschiebe(-1,0);
	      Hilfe.warte(20);
	      bildschirm.aktualisiere();
	    
	    
	     }
	     bildschirm.aktualisiere();
     } 
    }  
	 
}
